
CoCoA-5 - Bug #1200

Package exported function: wrong package name

27 Jul 2018 12:10 - Redmine Admin

Status: Closed Start date: 27 Jul 2018

Priority: Low Due date:  

Assignee:  % Done: 100%

Category: Parser/Interpreter Estimated time: 1.01 hour

Target version: CoCoA-5.4.0 Spent time: 0.70 hour

Description

Very strange.

The code in Interpreter.C look reasonable, but this message is wrong:

--> ERROR: Cannot export the name "Gens_Ker_Hom_Mod" because the same name was already exported by

 package $experimental

 

The original package exporting the function is ModuleHom.

The package I'm loading (trying to export the function again) is called experimental.

Related issues:

Related to CoCoA-5 - Feature #1174: package of a function --> of an identifier! Closed 05 Apr 2018

History

#1 - 01 Aug 2018 09:37 - Anna Maria Bigatti

- Related to Feature #1174: package of a function --> of an identifier! added

#2 - 01 Oct 2019 14:37 - John Abbott

- Target version changed from CoCoA-5.3.0 to CoCoA-5.4.0

#3 - 23 Sep 2020 11:09 - John Abbott

- Priority changed from Normal to Low

I am postponing this because it is not so important/urgent, and looks like it might be quick tricky to solve :-/

#4 - 23 Sep 2020 11:19 - John Abbott

The relevant line appears to be Interpreter.C:4289.

Here is a test input which triggers the bug:

package $first;

export john;

define john(x)  return x+1; enddefine; 

endpackage;

package $second;

export john;

define john(x)  return x+1; enddefine;

endpackage;

 

UPDATE  this example seems to work... huh?!?
#5 - 23 Sep 2020 11:22 - John Abbott

Is this even a bug?

In my installation the symbol Gens_Ker_Mod_Hom is indeed exported by a package called experimental.cpkg5.

Why do we have a package called experimental.cpjkg5?  Is it distributed in the release?

Anyway, who reported this issue???

Can we close it?

#6 - 02 Oct 2020 07:54 - Anna Maria Bigatti

- Status changed from New to Closed

- % Done changed from 0 to 100

- Estimated time set to 1.01 h

John Abbott wrote:

Is this even a bug?

In my installation the symbol Gens_Ker_Mod_Hom is indeed exported by a package called experimental.cpkg5.

Why do we have a package called experimental.cpkg5?  Is it distributed in the release?

 

These are various functions with temporary/experimental interface, but are (likely) currently used by some package (or user).

Anyway, who reported this issue???

 

I guess it was me, forgetting to be logged in as Admin

Can we close it?

 

Yes: it works correctly, and I see no log in Interpreter.C mentioning a fix.  I wonder if I got confused when I worte it.
